import Vue from 'vue'
import Element from 'element-ui'
import ECharts from 'vue-echarts'
import XMIcon from '@/components/XMIcon.vue'
import XMRightLay from '@/components/XMRightLay.vue'
import XMSearchForm from '@/components/XMSearchForm.vue'
import RouterLayout from '@/layout/RouterLayout.vue'
import App from './App.vue'
import router from './router'
import store from './store'
import 'normalize.css/normalize.css'
import './theme.scss'
import './assets/iconfont.css'

Vue.use(Element)

import preview from 'vue-photo-preview'
import 'vue-photo-preview/dist/skin.css'
Vue.use(preview)

Vue.config.productionTip = false
Vue.component('v-chart', ECharts)
Vue.component('xm-icon', XMIcon)
Vue.component('xm-rtl', XMRightLay)
Vue.component('xm-search', XMSearchForm)
Vue.component('r-layout', RouterLayout)

new Vue({
  render: h => h(App),
  router,
  store,
}).$mount('#app')
