import lodash from 'lodash'
import {interact, replaceApiParams} from '../../utils'
import apis from '../../config/api'

export default {
  namespaced: true,
  state: {
    followup : {},
    sex:""
  },
  mutations: {
    updateFollowup(state, payload) {
      state.followup  = payload || {}
    }
  },
  actions: {
    getFollowup({ commit }, payload) { // 查询所有
      const api = lodash.get(apis, 'followupRecord.list')
      // const api = lodash.get(apis, 'customerList.list')
      interact(api, payload).then((data) => {
        commit('updateFollowup', data)
      })
    },
    addAgent(_, payload){ // 保存经纪人
      const api = lodash.get(apis, 'agent.save')
      return new Promise((resolve, reject) => {
        interact(api, JSON.stringify(payload)).then((data) => {
          resolve(data)
        }).catch(() => {
          reject()
        })
      })
    },
    updateAgent(_, payload){ // 修改经纪人
      const api = lodash.get(apis, 'agent.update')
      return new Promise((resolve, reject) => {
        interact(api, JSON.stringify(payload)).then((data) => {
          resolve(data)
        }).catch(() => {
          reject()
        })
      })
    },
    deleteAgent(_, payload) { // 删除经纪人
      return new Promise((resolve, reject) => {
        const api = replaceApiParams(lodash.get(apis, 'agent.delete'), payload)
        interact(api).then((data) => {
          resolve(data)
        }).catch(() => {
          reject()
        })
      })
    }
  }
}