import lodash from 'lodash'
import { interact } from '../../utils'
import apis from '../../config/api'

export default {
  namespaced: true,
  state: {
    safety : {}
  },
  mutations: {
    updateSafety(state, payload) {
      state.safety  = payload || {}
    }
  },
  actions: {
    getSecurity({ commit }, payload) { // 查询所有
      const api = lodash.get(apis, 'security.list')
      interact(api, payload).then((data) => {
        commit('updateSafety', data)
      })
    }
  }
}