import { interact, replaceApiParams } from '../../utils'
import apis from '../../config/api'

export default {
  namespaced: true,
  state: {
  },
  mutations: {
  },
  actions: {
    getAllMenus() { // 查询所有
      return interact(apis.menu.list)
    },
    deleteMenu(_, menu) {
      return interact(replaceApiParams(apis.menu.delete, { id: menu.menuId }))
    },
    insertMenu(_, menu) {
      const { children, authority, ...dt } = menu // eslint-disable-line
      const dtStr = window.JSON.stringify(dt)
      return interact(apis.menu.save, dtStr)
    },
    editMenu(_, menu) {
      const { children, authority, ...dt } = menu // eslint-disable-line
      const dtStr = window.JSON.stringify(dt)
      return interact(replaceApiParams(apis.menu.update, { id: menu.menuId }), dtStr)
    },
  }
}